Package Details: openra-ra2-git 906.git.b9668d9-1

Git Clone URL: https://aur.archlinux.org/openra-ra2-git.git (read-only)
Package Base: openra-ra2-git
Description: An OpenRA mod inspired by Command & Conquer: Red Alert 2
Upstream URL: https://github.com/OpenRA/ra2
Licenses: GPL3
Provides: openra-ra2
Submitter: fusion809
Maintainer: fusion809
Last Packager: fusion809
Votes: 0
Popularity: 0.000000
First Submitted: 2019-03-23 11:27
Last Updated: 2019-07-13 13:49

Latest Comments

fusion809 commented on 2019-07-16 11:10

Thanks for the feedback, but I don't get this error. From your output it seems like you're using an unusual method of building it (doesn't look like you're using yay, as I've just used yay to build this package and haven't received this output, in fact it built without a problem). I have built this manually by git cloning and running makepkg -sifC --noconfirm and it built and installed problem-free. Likewise, I've tried running yay -S openra-ra2-git and it built and installed fine too. So if you're getting this issue I suggest it's because of whatever software you're using to build it, or you have an intermittent network issue (as it seems like dependency download is failing).

libook commented on 2019-07-16 11:01

openra-ra2-git-906.git.b9668d9-1
Linux LiBuild 5.2.0-arch2-1-ARCH #1 SMP PREEMPT Mon Jul 8 18:18:54 UTC 2019 x86_64 GNU/Linux
GNU Make 4.2.1
Built for x86_64-pc-linux-gnu

:: Parsing SRCINFO (1/1): openra-ra2-git
==> Making package: openra-ra2-git 906.git.b9668d9-1 (Tue 16 Jul 2019 06:48:40 PM CST)
==> Retrieving sources...
  -> Updating ra2 git repo...
Fetching origin

  -> Found openra-ra2
  -> Found openra-ra2.appdata.xml
  -> Found openra-ra2.desktop
==> Validating source files with md5sums...
    ra2 ... Skipped
    openra-ra2 ... Passed
    openra-ra2.appdata.xml ... Passed
    openra-ra2.desktop ... Passed
==> Cleaning up...
==> Making package: openra-ra2-git 906.git.b9668d9-1 (Tue 16 Jul 2019 06:48:43 PM CST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Updating ra2 git repo...
Fetching origin
  -> Found openra-ra2
  -> Found openra-ra2.appdata.xml
  -> Found openra-ra2.desktop
==> Validating source files with md5sums...
    ra2 ... Skipped
    openra-ra2 ... Passed
    openra-ra2.appdata.xml ... Passed
    openra-ra2.desktop ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Creating working copy of ra2 git repo...
Cloning into 'ra2'...
done.
==> Starting prepare()...
dos2unix: converting file CODE_OF_CONDUCT.md to Unix format...
dos2unix: converting file CONTRIBUTING.md to Unix format...
dos2unix: converting file README.md to Unix format...
==> Starting pkgver()...
==> Sources are ready.
==> Making package: openra-ra2-git 906.git.b9668d9-1 (Tue 16 Jul 2019 06:48:49 PM CST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Starting pkgver()...
==> Starting build()...
Version changed to 906.git.b9668d9.
OpenRA engine version release-20190314 is required.
Downloading engine...
Compiling engine...
make[1]: Entering directory '/home/my_home/.cache/yay/openra-ra2-git/src/ra2/engine'
make[1]: Leaving directory '/home/my_home/.cache/yay/openra-ra2-git/src/ra2/engine'
make[1]: Entering directory '/home/my_home/.cache/yay/openra-ra2-git/src/ra2/engine'
Fetching StyleCopPlus from NuGet
Fetching StyleCop files from NuGet
Fetching ICSharpCode.SharpZipLib from NuGet
Fetching MaxMind.Db from NuGet
Fetching SharpFont from NuGet
Fetching NUnit from NuGet
Fetching NUnit.Console from NuGet
Fetching Open.Nat from NuGet
Fetching FuzzyLogicLibrary from NuGet.
Fetching SDL2-CS from GitHub.
make[1]: *** [Makefile:299: cli-dependencies] Error 7
make[1]: Leaving directory '/home/my_home/.cache/yay/openra-ra2-git/src/ra2/engine'
make: *** [Makefile:75: engine] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
Error making: openra-ra2-git